﻿using System;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace Support.ViewModels
{
	public class MainImageViewModel : ViewModelBase
	{
		private readonly ObservableCollection<ImageViewModel> images;
		private ImageViewModel selectedItem;

		public MainImageViewModel()
		{
			this.images = new ObservableCollection<ImageViewModel>();
			this.images.Add(new ImageViewModel("Chrysanthemum"));
			this.images.Add(new ImageViewModel("Desert"));
			this.images.Add(new ImageViewModel("Hydrangeas"));
			this.images.Add(new ImageViewModel("Jellyfish"));
			this.images.Add(new ImageViewModel("Koala"));
			this.images.Add(new ImageViewModel("Lighthouse"));
			this.images.Add(new ImageViewModel("Penguins"));
			this.images.Add(new ImageViewModel("Tulips"));
		}

		public ObservableCollection<ImageViewModel> Images
		{
			get
			{
				return this.images;
			}
		}

		public ImageViewModel SelectedItem
		{
			get
			{
				return this.selectedItem;
			}
			set
			{
				if (this.selectedItem != value)
				{
					this.selectedItem = value;
					this.OnPropertyChanged("SelectedItem");
				}
			}
		}
	}
}
